org.fourthline.cling.support.model.dlna

## Enum DLNAFlags

- java.lang.Object
- - java.lang.Enum<DLNAFlags>
  - - org.fourthline.cling.support.model.dlna.DLNAFlags

- All Implemented Interfaces:
    Serializable, Comparable<DLNAFlags>

      public enum DLNAFlags
      extends Enum<DLNAFlags>

  DLNA.ORG_FLAGS, padded with 24 trailing 0s

           80000000  31  senderPaced
           40000000  30  lsopTimeBasedSeekSupported
           20000000  29  lsopByteBasedSeekSupported
           10000000  28  playcontainerSupported
            8000000  27  s0IncreasingSupported
            4000000  26  sNIncreasingSupported
            2000000  25  rtspPauseSupported
            1000000  24  streamingTransferModeSupported
             800000  23  interactiveTransferModeSupported
             400000  22  backgroundTransferModeSupported
             200000  21  connectionStallingSupported
             100000  20  dlnaVersion15Supported

           Example: (1 << 24) | (1 << 22) | (1 << 21) | (1 << 20)
             DLNA.ORG_FLAGS=01700000[000000000000000000000000] // [] show padding

  Author:
    Mario Franco

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKGROUND_TRANSFERT_MODE`
    `BYTE_BASED_SEEK`
    `CONNECTION_STALL`
    `DLNA_V15`
    `FLAG_PLAY_CONTAINER`
    `INTERACTIVE_TRANSFERT_MODE`
    `RTSP_PAUSE`
    `S0_INCREASE`
    `SENDER_PACED`
    `SN_INCREASE`
    `STREAMING_TRANSFER_MODE`
    `TIME_BASED_SEEK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static DLNAFlags` | `valueOf(int code)`
    `static DLNAFlags` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DLNAFlags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SENDER_PACED

          public static final DLNAFlags SENDER_PACED

    - #### TIME_BASED_SEEK

          public static final DLNAFlags TIME_BASED_SEEK

    - #### BYTE_BASED_SEEK

          public static final DLNAFlags BYTE_BASED_SEEK

    - #### FLAG_PLAY_CONTAINER

          public static final DLNAFlags FLAG_PLAY_CONTAINER

    - #### S0_INCREASE

          public static final DLNAFlags S0_INCREASE

    - #### SN_INCREASE

          public static final DLNAFlags SN_INCREASE

    - #### RTSP_PAUSE

          public static final DLNAFlags RTSP_PAUSE

    - #### STREAMING_TRANSFER_MODE

          public static final DLNAFlags STREAMING_TRANSFER_MODE

    - #### INTERACTIVE_TRANSFERT_MODE

          public static final DLNAFlags INTERACTIVE_TRANSFERT_MODE

    - #### BACKGROUND_TRANSFERT_MODE

          public static final DLNAFlags BACKGROUND_TRANSFERT_MODE

    - #### CONNECTION_STALL

          public static final DLNAFlags CONNECTION_STALL

    - #### DLNA_V15

          public static final DLNAFlags DLNA_V15

  - ### Method Detail

    - #### values

          public static DLNAFlags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DLNAFlags c : DLNAFlags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DLNAFlags valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### valueOf

          public static DLNAFlags valueOf(int code)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.